Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSExportService Class Reference

The CSExportService object is accessible from the CSUser object, providing the ability to export messages for Conference Chat and Messaging conversation. More...

`#import <CSExportService.h>`

Inherits NSObject.

## Instance Methods
(void) | - setRightToLeftAlignment:
| Sets the text alignment to be used in the exported HTML file. More...
(void) | - setLocalizedStrings:
| Sets the localized strings to be used in the exported HTML file. More...
(void) | - exportChat:directoryPath:fileName:completionHandler:
| Exports the messages from the given conference chat. More...
(void) | - cancelChatExport:completionHandler:
| Cancel the chat export. More...
(void) | - exportMessagingConversation:directoryPath:fileName:completionHandler:
| Exports the messages and attachments from the given Messaging Conversation. More...
(void) | - cancelMessagingConversationExport:completionHandler:
| Cancel the messaging conversation export. More...

## Properties
id< CSExportServiceDelegate > | delegate
| The delegate responsible for handling Export service related events such as export in progress, done, failed. More...
CSCapability * | conferenceChatExportCapability
| Returns CSCapability object describing the Conferenec Chat export availability. More...
CSCapability * | messagingConversationExportCapability
| Returns CSCapability object describing the Messaging Conversation export availability. More...

## Detailed Description

The CSExportService object is accessible from the CSUser object, providing the ability to export messages for Conference Chat and Messaging conversation.

The CSExportService exposes a set of APIs that allow application developers to download conference chat and messaging conversations for archival on the local file system or other storage location depending on the client application's implementation.

The availability of this service depends on a configuration setting controlled by the system administrator.

The client application is notified about the status of export service through handlers that the application has registered on the CSExportService object. These updates may be the result of operations on the CSExportService object.

It is the duty of the application to archive this file along with attachment folder for the user.

## Method Documentation

- (void) cancelChatExport: |  | (CSConference *) | conference
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Cancel the chat export.

Parameters

  conference | the conference object whose public chat export is to be cancelled.
  completionHandler | the completion handler for this operation.

See also
  -[conferenceChatExportCapability]
  -[exportChat]

- (void) cancelMessagingConversationExport: |  | (CSMessagingConversation *) | conversation
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Cancel the messaging conversation export.

Parameters

  conversation | the messaging conversation object to cancel exporting messages.
  completionHandler | the completion handler for this operation.

See also
  -[messagingConversationExportCapability]
  -[exportMessagingConversation]

- (void) exportChat: |  | (CSConference *) | conference
directoryPath: |  | (NSString *) | directoryPath
fileName: |  | (NSString *) | fileName
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Exports the messages from the given conference chat.

Only public conference chat will be exported.

Parameters

  conference | the conference object from which the public chat is to be exported.
  directoryPath | path to export the messages.
  fileName | name of the HTML file where messages are exported.
  completionHandler | The completion handler for this operation.

See also
  -[conferenceChatExportCapability]
  -[cancelChatExport]

- (void) exportMessagingConversation: |  | (CSMessagingConversation *) | conversation
directoryPath: |  | (NSString *) | directoryPath
fileName: |  | (NSString *) | fileName
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Exports the messages and attachments from the given Messaging Conversation.

All messages and attachments in the conversation are downloaded from server and placed in the specified directory. The messages are written to the specified HTML file and attachments are written into a subfolder named "attachments".

Parameters

  conversation | the messaging conversation object to export messages.
  directoryPath | path to export the messages and attachments
  fileName | name of HTML file where messages are exported.
  completionHandler | The completion handler for this operation.

See also
  -[messagingConversationExportCapability]
  -[cancelMessagingConversationExport]

- (void) setLocalizedStrings: |  | (NSDictionary< CSExportLocalizedStringKey, NSString * > *) | localizedStrings |

Sets the localized strings to be used in the exported HTML file.

The dictionary consists of CSExportLocalizedStringKey key and its respective string as value.

Parameters

  localizedStrings | the dictionary containing localized strings.

- (void) setRightToLeftAlignment: |  | (BOOL) | enabled |

Sets the text alignment to be used in the exported HTML file.

Pass True to set the alignment as right-to-left. Typically set for languages like Hebrew. The default text alignment for the exported file will be left-to-right.

Parameters

  enabled | True if the exported HTML is to be right-to-left aligned.

## Property Documentation

- (CSCapability*) conferenceChatExportCapability
| read atomic assign

Returns CSCapability object describing the Conferenec Chat export availability.

Returns
  CSCapability object describing the Conference Chat export availability.

- (id<CSExportServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling Export service related events such as export in progress, done, failed.

- (CSCapability*) messagingConversationExportCapability
| read atomic assign

Returns CSCapability object describing the Messaging Conversation export availability.

Returns
  CSCapability object describing the Messaging Conversation export availability.

The documentation for this class was generated from the following file:

- CSExportService.h